{
  "id": "superapp",
  "realm": "superapp",
  "enabled": true,
  "displayName": "Torbatyar",
  "displayNameHtml": "<div>Torbatyar</div>",
  "internationalizationEnabled": true,
  "supportedLocales": ["fa", "en"],
  "defaultLocale": "fa",
  "loginTheme": "torbatyar",
  "accountTheme": "torbatyar",
  "emailTheme": "torbatyar",
  "registrationAllowed": false,
  "loginWithEmailAllowed": true,
  "duplicateEmailsAllowed": false,
  "resetPasswordAllowed": true,
  "roles": {
    "realm": [
      { "name": "platform_admin", "description": "مدیر کل پلتفرم" },
      { "name": "tenant_admin", "description": "مدیر tenant" },
      { "name": "tenant_member", "description": "عضو tenant" },
      { "name": "service_account", "description": "حساب سرویس داخلی" }
    ]
  },
  "clients": [
    {
      "clientId": "superapp-frontend",
      "name": "SuperApp Frontend",
      "enabled": true,
      "publicClient": true,
      "standardFlowEnabled": true,
      "directAccessGrantsEnabled": false,
      "redirectUris": [
        "http://localhost:3000/*",
        "http://127.0.0.1:3000/*",
        "http://torbatyar.xyz:3000/*",
        "http://torbatyar.ir/*",
        "https://torbatyar.ir/*",
        "http://www.torbatyar.ir/*",
        "https://www.torbatyar.ir/*",
        "http://*.torbatyar.ir/*",
        "https://*.torbatyar.ir/*"
      ],
      "webOrigins": [
        "http://localhost:3000",
        "http://127.0.0.1:3000",
        "http://torbatyar.xyz:3000",
        "http://torbatyar.ir",
        "https://torbatyar.ir",
        "http://www.torbatyar.ir",
        "https://www.torbatyar.ir",
        "+"
      ],
      "attributes": {
        "pkce.code.challenge.method": "S256"
      }
    },
    {
      "clientId": "core-service",
      "name": "Core Platform Service",
      "enabled": true,
      "publicClient": false,
      "secret": "change-me",
      "serviceAccountsEnabled": true,
      "standardFlowEnabled": false,
      "directAccessGrantsEnabled": false
    },
    {
      "clientId": "identity-access-service",
      "name": "Identity & Access Service",
      "enabled": true,
      "publicClient": false,
      "secret": "change-me-identity",
      "serviceAccountsEnabled": true,
      "standardFlowEnabled": false,
      "directAccessGrantsEnabled": true,
      "attributes": {
        "oauth2.token.exchange.grant.enabled": "true"
      }
    }
  ],
  "users": [
    {
      "username": "platform.admin",
      "enabled": true,
      "email": "admin@example.com",
      "emailVerified": true,
      "firstName": "Platform",
      "lastName": "Admin",
      "credentials": [
        {
          "type": "password",
          "value": "admin123",
          "temporary": false
        }
      ],
      "realmRoles": ["platform_admin"]
    }
  ]
}
